package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysUserRole;
import java.util.Set;
import java.util.List;
import com.ruoyi.system.api.domain.SysRole;

public interface ISysRoleService
{
    List<SysRole> selectRoleList(final SysRole p0);
    
    List<SysRole> selectRolesByUserId(final Long p0);
    
    Set<String> selectRolePermissionByUserId(final Long p0);
    
    List<SysRole> selectRoleAll();
    
    List<Long> selectRoleListByUserId(final Long p0);
    
    SysRole selectRoleById(final Long p0);
    
    boolean checkRoleNameUnique(final SysRole p0);
    
    boolean checkRoleKeyUnique(final SysRole p0);
    
    void checkRoleAllowed(final SysRole p0);
    
    void checkRoleDataScope(final Long... p0);
    
    int countUserRoleByRoleId(final Long p0);
    
    int insertRole(final SysRole p0);
    
    int updateRole(final SysRole p0);
    
    int updateRoleStatus(final SysRole p0);
    
    int authDataScope(final SysRole p0);
    
    int deleteRoleById(final Long p0);
    
    int deleteRoleByIds(final Long[] p0);
    
    int deleteAuthUser(final SysUserRole p0);
    
    int deleteAuthUsers(final Long p0, final Long[] p1);
    
    int insertAuthUsers(final Long p0, final Long[] p1);
}
